Info: dette er ikke ændringsloggen for seneste stabile version 4.13.1
se alle skifter

Pro v3.0 understøttende folder.js v1.0.3, GoogleMutant, Polylang, smukke permalinks og meget mere er tilgængelig

Efter 3 måneders udvikling, 3 betaversioner og 1 frigørelseskandidat er vi stolte af at meddele tilgængeligheden af ​​Maps Marker Pro v3.0.

En opdatering til den nyeste version anbefales - som altid - stærkt. For mere information om denne udgivelse se nedenfor.


Fortæl os, hvad du synes om denne nye udgivelse af indsender en anmeldelse eller efterlade en kommentar nedenfor!

Hvis du vil holde dig opdateret med den nyeste Maps Marker Pro-udvikling, skal du følge @MapsMarker på twitter (= mest aktuelle opdateringer), den Facebook, Google+ eller abonnere på nyheder via RSS eller via RSS / e-mail.

Vi vil også gerne invitere dig til at deltage i vores affiliate program som tilbyder provisioner op til 50%. Hvis du er interesseret i at blive forhandler, kan du besøge https://www.mapsmarker.com/reseller


Lad os nu komme til højdepunkterne i pro v3.0:

Vi er glade for at byde verdensomspændende ingeniør Thorsten velkommen, der tilslutter sig Kort Marker Pro-team!

Globetrotting ingeniør Thorsten styrker vores rækker ved at trække ud af sin egen erfaring som bruger: Thorsten bruger Maps Marker Pro til at dokumentere sin kyst-til-kyst road trip gennem Canada på sin rejseblog Fuel & Bacon.

opgraderet leaflet.js fra v0.7.7 til v1.0.3

Leaflet.js kan kaldes “motoren til Maps Marker Pro” og er blevet opgraderet vom v0.7.7 til v1.0.3, hvilket resulterer i højere ydelse og brugervenlighed.

Se venligst blogindlæg på leafletjs.com og fuld changelog for flere detaljer.

Beta (opt-in): markant forbedret ydelse for Google basemaps ved hjælp af indlægssedlen plugin GoogleMutant

Faktisk planlagde vi også at erstatte den (forladte) implementering af Google Maps-pjece med shramov med den meget mere udøvende GoogleMutant brochure-plugin af Iván Sánchez. Uanset hvilket et blokeringsproblem stadig er åbent (#27 - Hjælp med at hjælpe and) og da vi ikke ønskede at udsætte Maps Marker Pro v3.0 længere, besluttede vi ikke at ændre standardimplementeringsmetoden endnu.

Du kan teste GoogleMutant-pluginet manuelt ved at ændre den relaterede mulighed under Indstillinger / Basemaps / “Google Maps JavaScript API”:

Når nr. 27 er rettet, opdateres denne mulighed for alle brugere med en fremtidig udgivelse af Maps Marker Pro.

skiftes automatisk til Algolia Places som standardudbyder af geokodning, hvis Mapzen Search uden API-nøgle bruges, anbefales stadig registrering)

Desværre er vores anbefalede geocoding-udbyder Mapzen Search ændrer sin politik inden april 2017, hvilket gør (gratis) API-nøgler obligatoriske til at bruge deres geokodningstjeneste.

Så hvis du ikke har registreret dig en API-nøgle, skifter din geocoding-udbyder automatisk til Algolia-steder med Maps Marker Pro v3.0 og Photon @ MapsMarker som leverandør af tilbagelevering af geokodning.

Da Mapzen er drevet af opendata og inkluderer også yderligere data fra kilder som openaddresses.io i deres geokodningsresultater, anbefaler vi stadig at registrere en gratis Mapzen Search API-nøgle - den relaterede tutorial kan findes her.

tilføj forhåndsindlæsning for kortfliser ud over kanten af ​​det synlige kort for at forhindre, at der vises baggrund bag flisebilleder, når du panorerer et kort

Med v3.0 integrerede vi også indlægssedlen til indlægssedlen Leaflet.EdgeBuffer for at understøtte forbelastning ud over kanten af ​​det synlige kort. Som et resultat er det sandsynligt, at den sorte baggrund under fliserne ses, hvilket resulterer i en bedre brugeroplevelse, mens panorering af kort:

For et liveeksempel se sammenligningen kl http://www.tolon.co.uk/Leaflet.EdgeBuffer/comparison.html

Som standard er 2 fliser forhåndsindlæst med Maps Marker Pro v3.0 - alligevel kan du ændre denne værdi ved at ændre den nye indstilling "edgeBufferTiles" ved Indstillinger / Kortdefaults / Globale indstillinger for basemap:

Polylang oversættelsessupport til flersprogede kort

Med v2.9 tilføjede vi support til flersprogede kort ved hjælp af WPML. På grund af anmodninger fra mange brugere tilføjede vi også support til Polylang oversættelsesplugin med v3.0, hvilket giver dig flere valgmuligheder ved at gøre dine kort tilgængelige på forskellige sprog. Se https://www.mapsmarker.com/flersproget for flere detaljer.

Mange tak Thorsten for implementeringen af ​​denne funktion!

support til værktøjstip til at vise markørnavnet som en lille tekst øverst på markørikoner

Markørnavnet vises nu som lille tekst øverst på markørikoner, når du holder markørikonet:

Da den oprindelige folder-værktøjstipsfunktion, der er tilføjet med leaflet.js 1.0, bliver brugt nu i stedet for HTML-titeltag, kan du tilpasse værktøjstipets opførsel efter dine behov under Indstillinger / Kortdefaults / Marker-værktøjstipindstillinger:

ny mulighed for at åbne popups på musemarkøren i stedet for med museklik

Med v3.0 er det nu også muligt at åbne popups på musemarkøren i stedet for med museklik. Denne indstilling er som standard deaktiveret og kan aktiveres ved Indstillinger / Kortdefaults / Standardværdier for markør popups:

Smukke permalinks med tilpasselig slug til fuldskærmskort og API'er

Med v3.0 fjernede vi også behovet for direkte adgang til plugin-filer til fx fuldskærms kort eller API-links. Som standard er sluggen /Kort/ bruges nu og kan ændres via Settings / Misc / “Permalinks slug”:

Eksempel link til fuldskærmemarkeringskort ID 1 med smukke permalinks: https://www.mapsmarker.com/maps/fullscreen/marker/1/

Hvis du direkte linkede fuldskærmekort eller andre API-links (som https://www.mapsmarker.com/wp-content/plugin/leaflet-maps-marker-pro/leaflet-fullscreen.php?marker=1) behøver du ikke for at ændre noget - brugere videresendes automatisk til den nye smukke permalink.

AMP support

v3.0 tilføjer grundlæggende AMP-understøttelse, der viser et pladshullebillede til kort med link til fuldskærmsvisning på AMP-aktiverede sider - tak Sebastian!

For v3.1 kontrollerer vi, om vi kan forbedre denne integration ved at vise indbyggede kort på AMP-aktiverede sider.

Andre ændringer og optimeringer

  • ~ 15% præstationsforbedring for API-opkald ved at eliminere unødvendige WordPress-initialiseringer via wp-load.php (thx Thorsten!)
  • nye funktioner til MMPAPI: list_markers (), list_layers (), get_layers ($ layer_ids) - fulde dokumenter (Thx meget Thorsten!)
  • ny mulighed for at deaktivere WPML / Polylang-integration
  • forbedret kompatibilitetskontrol af WP Rocket (som kan få kort til at gå i stykker, hvis Maps Marker Pro Javascripts ikke er udelukket)
  • tilføj support til PHP APCu-cache til sessioner, der bruges i MMP_Geocoding-klassen
  • mulighed for at sortere "liste alle markører" og "liste alle lag" tabeller efter placering (thx Paul!)
  • kompatibilitetscheck for “Async Javascript” plugin (thx Adam!)
  • oprette brugersessioner til geokodning kun, hvis MMP_Geocoding-klasse bruges
  • optimeret SQL til indlæsning af markører på (enkelt) lagredigeringssider (thx Thorsten!)
  • opdateret Leaflet.fullscreen markercluster codebase til v1.0.2 (thx jfirebaugh!)
  • forbedret ydelse på markør- og lagredigeringssider ved hjælp af HTML5 datetime i stedet for timepicker.js bibliotek + afhængigheder (thx Thorsten!)
  • forbedret mulighed "Afregistrering af Google Maps API-scripts indsamlet af tredjepart" for at forhindre genudskrivning af scripts ved også at afregistrere dem
  • forbedret ydelse for plugin-opdaterer (kør backend-kontrol for adgang til plugin-opdateringer kun hvis en opdatering er tilgængelig - thx Thorsten!)
  • fjernet et integreret WPML-installationsprogram for at forbedre backend-ydeevnen, og da der er rapporteret om problemer med NextGen Gallery
  • øget maks. antal tegn til filterkontrolkasse fra 4000 til 65535 for at forhindre ødelagte kontrolbokse (thx Michelle!)
  • Brug altid https til indlæsning af bing-kortfliser
  • importør: vis ikke ugyldige værdiadvarsler for oprettede & opdaterede rækker, hvis revisionsindstillingen er slået fra og relaterede kildekolonner er tomme
  • Brug demokortbillede i stedet for Maps Marker Pro-logo som pladsholderbillede til kort i RSS-feeds
  • ændrede KML-forespørgsel var navn til markørnavn for at undgå WP-konflikter

Fejlrettelser

  • Problemer med WPML-ydeevne på websteder med 1000+ oversatte kortstrenge (thx Thorsten!)
  • ødelagte indstillingsnavigering på grund af forudsatte bootstrap-filer fra tredjeparts plugins (thx Bob!)
  • knyttet til oversættelsesside til WPML-streng på lagredigeringssider i stedet til https://mapsmarker.com/multilingual, selvom WPML ikke var tilgængelig (thx Thorsten!)
  • tilføj løsning, hvis markørikoner ikke vises på backend på siden med markeringsredigering og værktøjer (thx Ron!)
  • MMPAPI: rettelse af problem for valg af lag-ID og fejlmeddelelse til søgning i afgrænsningsboks (thx Thorsten!)
  • konflikt med iThemes Security Pro plugin & htaccess-konfigs, der forhindrer direkte adgang til Maps Marker Pro API-endepunkter (thx David!)
  • WP-session-poster i wp_options-tabellen blev ikke slettet via WordPress cron-job (thx meget Thorsten!)
  • fix PHP APC-cache-registrering for importør og MMP_Geocoding-klasse
  • markøreksport: søgning i lag via select2-bibliotek blev ødelagt
  • PHP-advarsel efter at indstillingerne blev nulstillet til standardindstillinger (thx Thorsten!)
  • liste over markører under lagkort: markøroptælling kan være forkert under visse omstændigheder
  • divider i zoomkontrol mellem + og - knapperne manglede siden v2.9
  • lokationssøgefelt, der overlapper overlejring af GPX-medieoverladning forårsaget af for høj z-værdi
  • sorteringsrækkefølge for siden "liste alle lag" blev brudt, hvis der blev valgt sorteringskriterier (thx Thorsten!)
  • markørens redigeringsside kunne være brudt på grund af udefinerede variabeladvarsler kun på specifikke PHP-konfigurationer (thx Nadine!)
  • rutevejledning blev føjet til popup-tekst på markørens redigeringsside (kun under preview), selvom indstillingen var deaktiveret
  • Javascript-fejl, når du bruger personsøger i listen over markører under lagkort på lagredigeringssider
  • standard markør popup-egenskaber blev ikke taget i betragtning, hvis de blev udløst via geocoding
  • JSON-fejl, når du bruger WebAPI / søgefunktionen (thx Elizabeth!)
  • forskellige markørzoomniveauer, når åbne popups via listen over markørlink ikke blev brugt, hvis klynger var deaktiveret
  • åbning af popups via listen over markører kunne ødelægge kortcentret, hvis klynger var aktiveret (thx Damian!)
  • undefined javascript-advarsel, når du klikker på markørnavnet i listen over markører, hvis klynger var deaktiveret
  • lag midtmarkør på backend blev ikke vist mere efter klynger blev indlæst
  • sorteringsrækkefølge for liste over markører blev ikke gendannet efter rydning af søgefeltet (thx Damian & Thorsten!)
  • brug af “skift lag-ID” -tool kan resultere i forkerte lagtilordninger (thx Patricia & Thorsten!)
  • CSS-konflikter med valgte temaer (hvilket resulterer i grænser omkring fliserne i Google Maps)
  • kontroltegn som faner i markørnavn kan ødelægge gyldigheden af ​​GeoJSON-matrixen for en liste over markører (thx Stefan!)
  • brudt liste over markører, når søgeterm ikke giver resultater (thx Damian & Thorsten!)
  • licensbeskyttelse var for streng til localhost-installationer, hvor ubegrænset test er tilladt (thx Daniel!)
  • fast geolocation, der går tabt, når du bruger en liste over markører-søgefelt (thx Damian & Thorsten!)

Sikkerhedsrettelser

For et par uger siden lancerede vi et privat bounty-program for hackerone-sikkerhed, som resulterede i følgende sikkerhedsrapporter, der blev rettet med denne udgivelse:

  • Lav indflydelse (kun anvendelig for administratorer): Reflekteret XSS-sårbarhed på siden med licensindstillinger (thx til Deepanker Chawla via hackerone)
  • Lav indflydelse (kan udnyttes kun til backend-kortredigeringsprogrammer): Gemt XSS-sårbarhed for placering og markør / lagnavn på "liste alle lag" / "liste alle markører" -siden (thx til Deepanker Chawla via hackerone)
  • Lav indflydelse (kun kan bruges til backend-kortredaktører): Reflekteret XSS-sårbarhed på markørredigeringssiden (thx til Deepanker Chawla via hackerone)
  • Lav indflydelse (udnyttes kun til administratorer): DOM-baseret XSS-sårbarhed på indstillingssiden (thx til Deepanker Chawla via hackerone)

Vi planlægger at offentliggøres med vores hackerone-sikkerhedsfejl-bounty-program i den nærmeste fremtid, hvis du er interesseret i at deltage. Følg vores blog for flere detaljer.

Kendte problemer

Geolocation-funktionen fungerer ikke længere med Google Chrome 50+ og Safari 10+, medmindre dit websted er sikkert tilgængeligt via https

Med Chrome 50 (og Safari 10) blev der introduceret væsentlige ændringer i geolocation-understøttelsen af ​​de relaterede browserudbydere: Alle applikationer, der anmoder om den aktuelle position for brugeren (ikke kun for Maps Marker Pro's geolocation-funktion) er kun tilladt længere at hente brugerens aktuelle position, hvis webstedet er konfigureret til at blive leveret sikkert via https - brugere vil se følgende eller en lignende advarsel i stedet:

geolocation-fejl-info

Se flere detaljer om denne beslutning fra Google på https://developers.google.com/web/updates/2016/04/geolocation-on-secure-contexts-only. Geolocation fungerer stadig på ikke-https-websteder, hvis brugerne får adgang til webstedet via alternative browsere som Firefox, Safari eller Internet Explorer - alligevel kan det være sandsynligt, at disse browsere også tilføjer en lignende sikkerhedsbegrænsning i fremtiden.

Opdatering november 2016: Da iOS 10 også Safari 10+ kræver nu https for at understøtte geolocation. Implementeringen er endnu strengere end med Google Chrome - geolocation fungerer ikke f.eks. Hvis der er advarsler om blandet indhold på dit websted.

Så hvis du har brug for Maps Marker Pro geolocation featue på dit websted, anbefales det stærkt at migrere dit websted til https. Nogle hosters leverer allerede gratis https-certifikater fra letsencrypt.org for eksempel. For konfigurationer, der er nødvendige på dit WordPress-sted for at konfigurere det til at understøtte https, skal du se på tutorials som https://css-tricks.com/moving-to-https-on-wordpress/.

Da https har flere fordele for dit websted end blot geolocation, der arbejder igen med Google Chrome 50+ og Safari 10+ (som at sikre dataintegriteten, afsendergodkendelse og brugerens privatliv samt højere Google-placering, da https bruges som rangeringssignal), vi anbefaler du kraftigt at kun skifte dit websted til https, hvis du ikke har gjort det endnu.

Hvis du skiftede dit websted til https og stadig får en geolocation-fejl (som "Geolocation-fejl: bruger nægtet geolocation"), skal du kontrollere din enheds placeringsindstillinger, hvis det er tilladt for apps / websteder at hente geolocation.

Oversættelser opdateringer

Vi har også opdateret vores Glotpress-forekomst på https://translate.mapsmarker.com til v2.3.1, hvilket giver oversættere mulighed for at markere oversættelser som fuzzy, genaktiveret adgangskode nulstilling af brugere, designopdatering og mere.

Takket være mange motiverede bidragydere inkluderer denne udgivelse følgende opdaterede oversættelser:

Hvis du vil bidrage til oversættelser (nye hindi-oversættere vil blive værdsat!), Kan du besøge https://translate.mapsmarker.com/projects/lmm for mere information.

Bemærk, at oversættere også kompenseres for deres bidrag - for eksempel hvis en oversættelse er færdig med mindre end 50%, får oversætteren en gratis 25 licenspakke til en værdi af € 249 som en kompensation for at afslutte oversættelsen til 100%.

Outlook - planer for de næste udgivelser

Forstå, at vi ikke er i stand til at love nogen frigivelsesdatoer for nye funktioner. Vi justerer vores køreplan dynamisk baseret på feedback fra vores brugere. Uanset hvad beholder vi fleksibiliteten til at tilføje optimeringer og bugfixes med temmelig ikke planlagte mindre udgivelser, der hovedsageligt skyldes brugernes feedback.

Abonner venligst på denne blog (via RSS or E-mail) eller følg @MapsMarker på twitter (= mest aktuelle opdateringer), hvis du vil holde dig opdateret med de seneste udviklingsnyheder.

Fuld changelog

Vi er glade for at byde verdensomspændende ingeniør Thorsten velkommen, der tilslutter sig Kort Marker Pro-team!
opgraderet leaflet.js (“motoren fra Maps Marker Pro”) fra v0.7.7 til v1.0.3 for højere ydelse og brugervenlighed - se venligst blogindlæg på leafletjs.com og fuld changelog for flere detaljer
Beta (opt-in): markant forbedret ydelse for Google basemaps ved hjælp af indlægssedlen plugin GoogleMutant (thx Ivan!)
tilføj forhåndsindlæsning for kortfliser ud over kanten af ​​det synlige kort for at forhindre, at der vises baggrund bag flisebilleder, når du panorerer et kort
Polylang oversættelsessupport til flersprogede kort (thx Thorsten!)
support til værktøjstip til at vise markørnavnet som en lille tekst øverst på markørikoner
ny mulighed for at åbne popups på musemarkøren i stedet for med museklik (deaktiveret som standard)
Præne permalinks med tilpasselig slug til fuldskærmekort og API'er (f.eks. Https://www.mapsmarker.com/dev/pro/kort/ fuldskærm / markør / 1 / - thx Thorsten!)
nye funktioner til MMPAPI: list_markers (), list_layers (), get_layers ($ layer_ids) - fulde dokumenter (Thx meget Thorsten!)
ny mulighed for at deaktivere WPML / Polylang-integration
forbedret kompatibilitetskontrol af WP Rocket (som kan få kort til at gå i stykker, hvis Maps Marker Pro Javascripts ikke er udelukket)
tilføj support til PHP APCu-cache til sessioner, der bruges i MMP_Geocoding-klassen
mulighed for at sortere "liste alle markører" og "liste alle lag" tabeller efter placering (thx Paul!)
kompatibilitetscheck for “Async Javascript” plugin (thx Adam!)
AMP-support: Vis pladsholderbillede til kort med link til fuldskærmsvisning på AMP-aktiverede sider (thx Sebastian!)
skiftes automatisk til Algolia Places som standardudbyder af geokodning, hvis der anvendes Mapzen Search uden API-nøgle (API-nøgler bliver obligatoriske inden april 2017 - gratis registrering anbefales stadig)
~ 15% præstationsforbedring for API-opkald ved at eliminere unødvendige WordPress-initialiseringer via wp-load.php (thx Thorsten!)
oprette brugersessioner til geokodning kun, hvis MMP_Geocoding-klasse bruges
optimeret SQL til indlæsning af markører på (enkelt) lagredigeringssider (thx Thorsten!)
opdateret Leaflet.fullscreen markercluster codebase til v1.0.2 (thx jfirebaugh!)
forbedret ydelse på markør- og lagredigeringssider ved hjælp af HTML5 datetime i stedet for timepicker.js bibliotek + afhængigheder (thx Thorsten!)
forbedret mulighed "Afregistrering af Google Maps API-scripts indsamlet af tredjepart" for at forhindre genudskrivning af scripts ved også at afregistrere dem
forbedret ydelse for plugin-opdaterer (kør backend-kontrol for adgang til plugin-opdateringer kun hvis en opdatering er tilgængelig - thx Thorsten!)
fjernet et integreret WPML-installationsprogram for at forbedre backend-ydeevnen, og da der er rapporteret om problemer med NextGen Gallery
øget maks. antal tegn til filterkontrolkasse fra 4000 til 65535 for at forhindre ødelagte kontrolbokse (thx Michelle!)
Brug altid https til indlæsning af bing-kortfliser
importør: vis ikke ugyldige værdiadvarsler for oprettede & opdaterede rækker, hvis revisionsindstillingen er slået fra og relaterede kildekolonner er tomme
Brug demokortbillede i stedet for Maps Marker Pro-logo som pladsholderbillede til kort i RSS-feeds
ændrede KML-forespørgsel var navn til markørnavn for at undgå WP-konflikter
Problemer med WPML-ydeevne på websteder med 1000+ oversatte kortstrenge (thx Thorsten!)
ødelagte indstillingsnavigering på grund af forudsatte bootstrap-filer fra tredjeparts plugins (thx Bob!)
knyttet til oversættelsesside til WPML-streng på lagredigeringssider i stedet til https://mapsmarker.com/multilingual, selvom WPML ikke var tilgængelig (thx Thorsten!)
tilføj løsning, hvis markørikoner ikke vises på backend på siden med markeringsredigering og værktøjer (thx Ron!)
MMPAPI: rettelse af problem for valg af lag-ID og fejlmeddelelse til søgning i afgrænsningsboks (thx Thorsten!)
konflikt med iThemes Security Pro plugin & htaccess-konfigs, der forhindrer direkte adgang til Maps Marker Pro API-endepunkter (thx David!)
WP-session-poster i wp_options-tabellen blev ikke slettet via WordPress cron-job (thx meget Thorsten!)
fix PHP APC-cache-registrering for importør og MMP_Geocoding-klasse
markøreksport: søgning i lag via select2-bibliotek blev ødelagt
PHP-advarsel efter at indstillingerne blev nulstillet til standardindstillinger (thx Thorsten!)
liste over markører under lagkort: markøroptælling kan være forkert under visse omstændigheder
divider i zoomkontrol mellem + og - knapperne manglede siden v2.9
lokationssøgefelt, der overlapper overlejring af GPX-medieoverladning forårsaget af for høj z-værdi
sorteringsrækkefølge for siden "liste alle lag" blev brudt, hvis der blev valgt sorteringskriterier (thx Thorsten!)
markørens redigeringsside kunne være brudt på grund af udefinerede variabeladvarsler kun på specifikke PHP-konfigurationer (thx Nadine!)
rutevejledning blev føjet til popup-tekst på markørens redigeringsside (kun under preview), selvom indstillingen var deaktiveret
Javascript-fejl, når du bruger personsøger i listen over markører under lagkort på lagredigeringssider
standard markør popup-egenskaber blev ikke taget i betragtning, hvis de blev udløst via geocoding
JSON-fejl, når du bruger WebAPI / søgefunktionen (thx Elizabeth!)
forskellige markørzoomniveauer, når åbne popups via listen over markørlink ikke blev brugt, hvis klynger var deaktiveret
åbning af popups via listen over markører kunne ødelægge kortcentret, hvis klynger var aktiveret (thx Damian!)
undefined javascript-advarsel, når du klikker på markørnavnet i listen over markører, hvis klynger var deaktiveret
lag midtmarkør på backend blev ikke vist mere efter klynger blev indlæst
sorteringsrækkefølge for liste over markører blev ikke gendannet efter rydning af søgefeltet (thx Damian & Thorsten!)
brug af “skift lag-ID” -tool kan resultere i forkerte lagtilordninger (thx Patricia & Thorsten!)
CSS-konflikter med valgte temaer (hvilket resulterer i grænser omkring fliserne i Google Maps)
kontroltegn som faner i markørnavn kan ødelægge gyldigheden af ​​GeoJSON-matrixen for en liste over markører (thx Stefan!)
brudt liste over markører, når søgeterm ikke giver resultater (thx Damian & Thorsten!)
licensbeskyttelse var for streng til localhost-installationer, hvor ubegrænset test er tilladt (thx Daniel!)
fast geolocation, der går tabt, når du bruger en liste over markører-søgefelt (thx Damian & Thorsten!)
Lav indflydelse (kun anvendelig for administratorer): Reflekteret XSS-sårbarhed på siden med licensindstillinger (thx til Deepanker Chawla via hackerone)
Lav indflydelse (kan udnyttes kun til backend-kortredigeringsprogrammer): Gemt XSS-sårbarhed for placering og markør / lagnavn på "liste alle lag" / "liste alle markører" -siden (thx til Deepanker Chawla via hackerone)
Lav indflydelse (kun kan bruges til backend-kortredaktører): Reflekteret XSS-sårbarhed på markørredigeringssiden (thx til Deepanker Chawla via hackerone)
Lav indflydelse (udnyttes kun til administratorer): DOM-baseret XSS-sårbarhed på indstillingssiden (thx til Deepanker Chawla via hackerone)
Oversættelsesopdateringer
Hvis du vil hjælpe med oversættelser, kan du besøge webbaseret oversættelsesplatform
opdateret https://translate.mapsmarker.com til GlotPress 2.3.1 (markér oversættelser som fuzzy, nulstillet adgangskode nulstillet af brugere, designopdatering og mere)
opdateret hollandsk oversættelse takket være Marijke Metz - http://www.mergenmetz.nl, Patrick Ruers, http://www.stationskwartiersittard.nl, Fokko van der Leest - http://wandelenrondroden.nl og Hans Temming - http://www.wonderline.nl
opdateret fransk oversættelse takket være Vincèn Pujol, http://www.skivr.com og Rodolphe Quiedeville, http://rodolphe.quiedeville.org, Fx Benard, http://wp-translator.com, cazal cédric, http://www.cedric-cazal.com, Fabian Hurelle, http://hurelle.fr og Thomas Guignard, http://news.timtom.ch
opdateret galicisk oversættelse takket være Fernando Coello, http://www.indicepublicidad.com
opdateret tysk oversættelse takket være Thorsten
opdateret italiensk oversættelse takket være Luca Barbetti, http://twitter.com/okibone og Angelo Giammarresi - http://www.wocmultimedia.biz
opdaterede japanske oversættelser takket være Shu Higash og Taisuke Shimamoto
opdateret lettisk oversættelse takket være Juris Orlovs, http://lbpa.lv og Eriks Mind http://geekli.st/Eriks
opdateret litauisk oversættelse takket være Donatas Liaudaitis - http://www.transleta.co.uk og Ovidijus - http://www.manokarkle.lt
opdateret oversættelse fra portugisisk - Brasilien (pt_BR) takket være Fabio Bianchi - http://www.bibliomaps.com, Andre Santos - http://pelaeuropa.com.br og Antonio Hammerl
opdateret russisk oversættelse takket være Ekaterina Golubina (understøttet af Teplitsa fra Social Technologies - http://te-st.ru) og Vyacheslav Strenadko, http://slavblog.ru
opdateret spansk oversættelse takket være David Ramírez, http://www.hiperterminal.com, Alvaro Lara, http://www.alvarolara.com, Victor Guevara, http://1sistemas.net, Ricardo Viteri, http://www.labviteri.com, Juan Valdes og Marta Espinalt, http://www.martika.es
opdateret svensk oversættelse takket være Olof Odier http://www.historiskastadsvandringar.se, Tedy Warsitha http://codeorig.in/, Dan Paulsson http://www.paulsson.eu, Elger Lindgren, http://bilddigital.se, Anton Andreasson, http://andreasson.org/ og Tony Lygnersjö - https://www.dumsnal.se/
Kendte problemer
Geolocation-funktionen fungerer ikke længere med Google Chrome 50+ & iOS / Safari 10+, medmindre dit websted er sikkert tilgængeligt via https (detaljer)

Vis alle tilgængelige changelogs

Sådan downloades / opdateres

Den nemmeste måde at opdatere er at bruge WordPress-opdateringsprocessen: log ind med en bruger, der har administratorrettigheder, naviger til Dashboard / Updates, vælg plugins, der skal opdateres, og tryk på knappen “Update Plugins”. Pro-plugin kontrollerer hver 24. time, hvis en ny version er tilgængelig. Du kan også udløse opdateringskontrollen manuelt ved at gå til Plugins og klikke på linket "Manuelt kontrollere for opdateringer" ved siden af ​​"Maps Marker Pro":

manuel-update-kontrol

Hvis du ikke kan se linket "Kontroller for opdateringer" og bruger en version nedenfor 1.7, skal du opdatere manuelt en gang ved at downloade den aktuelle pakke fra https://www.mapsmarker.com/download-pro og overskriv de eksisterende plugin-filer på din server via FTP. Dette kan være nødvendigt på flere værter, der bruger forældede SSL-biblioteker, der forhindrer Maps Marker Pro i at oprette en sikker forbindelse til at hente opdateringspakken fra mapsmarker.com. Pro v1.7 inkluderer en løsning på den slags servere, og følgende opdateringer skal fungere igen som sædvanligt. Hvis du er berørt og har brug for hjælp, så tak åbne en support billet.

Sådan kontrolleres integriteten af ​​plugin-pakken

SHA-256 hashværdi:

AAC3E05208CEE2736D0F8514F61F91A43456742516A95DF2FDCBEE4B47BD69E5

Klik her for en tutorial om, hvordan du verificerer integriteten af ​​plugin-pakken (anbefales, hvis plugin-pakken til en ny installation ikke blev downloadet fra https://www.mapsmarker.com - verifikation er dog ikke nødvendig, hvis den automatiske opdateringsproces bruges)

Yderligere opdateringsnotater til betatestere

Ingen yderligere handlinger ved plugin-opdatering fra beta til den endelige version er påkrævet.

Efterlad en kommentar

XHTML: Du kan bruge disse tags: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong>

en English
X